/** @overview nodeunit test case. */

var path = require('path'),
    testResource = require('../../../test_resource'),
    generatePackageJson = require('../../../../ci/worker/generate_package_json.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Generate package json.'] = function (test) {
    generatePackageJson({
        src: path.resolve(__dirname, '../../../../Apemanfile.js'),
        dest: testResource.resolveWorkFile('work-package.json')
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};